public class Employee {
  // 従業員ID
  private final String id;
  // 名前
  private String name;
  // 役職
  private String position;
  // コンストラクタ
  public Employee(String id, String name, String position) {
    if (id == null) {
      throw new IllegalArgumentException("id == null");
    }
    this.id = id;
    this.name = name;
    this.position = position;
  }
  public String getId() {
    return id;
  }
  // 以下、エンティティ（以下, E）方式のequals, hashCode
  @Override
  public boolean equals(Object obj) {
    if (this == obj)
      return true;
    if (obj == null)
      return false;
    if (getClass() != obj.getClass())
      return false;
    Employee other = (Employee) obj;
    return id.equals(other.id);
  }
  @Override
  public int hashCode() {
    return id.hashCode();
  }
  // 以下getter略
}