public final class Color {
  private final int red;
  private final int green;
  private final int blue;
  public Color(int red, int green, int blue) {
    this.red = red;
    this.green = green;
    this.blue = blue;
}
  public int geRed() { return red; }
  public int getGreen() { return green; }
  public int getBlue() { return blue; }
  // 以下、値オブジェクト（以下, VO）式のequals, hashCode
  @Override
  public boolean equals(Object obj) {
    if (this == obj) {
      return true;
    }
    if (obj == null) {
      return false;
    }
    if (getClass() != obj.getClass()) {
      return false;
    }
    Color other = (Color)obj;
    return red == other.red &&
      green == other.green &&
        blue == other.blue;
  }
  @Override
  public int hashCode() {
    final int prime = 31;
    int result = 1;
    result = prime * result + blue;
    result = prime * result + green;
    result = prime * result + red;
    return result;
  }
}